# cv

Dejvino's Curriculum Vitae in a web app.

Uses React, Bootstrap and NextJs. Compiles into a static HTML/CSS/JS web page that can be easily served from any webhosting.

## Build

```
npm install

# Development - served on http://localhost:3000/ with auto-reload
npm run dev

# Production - output in ./out/
npm run build
```

All that is needed to deploy is to copy the contents of the `./out/` folder onto any web hosting.

## Configuration

### CV content

- src/PersonalData.ts :: source of all data for the CV, nicely structured in a type-checked TypeScript object literal

### Images

- public/favicon.ico
- public/photo.png
